Bug 56187 - rpm -ta generates file "tar: *.spec: Not found in archive"
Summary: rpm -ta generates file "tar: *.spec: Not found in archive"
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-13 18:42 UTC by Pekka Pietikäinen
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-14 17:44:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Pietikäinen 2001-11-13 18:42:35 UTC
Description of Problem:

When you try to rpm -ta foo.tar.gz, where foo.tar.gz doesn't contain a
.spec file,
a file named "tar: *.spec: Not found in archive" is created in the specfile
directory.

Version-Release number of selected component (if applicable):

4.0.3-1.03

How Reproducible:

1. rpm -ta tarfilewithoutspecfile.tar.gz

Actual Results:

File gets created 

Expected Results:

Nothing is generated (and maybe a nice error message about it too)

Comment 1 Jeff Johnson 2001-11-15 23:44:12 UTC
My favorite rpm bug. The fix -- when the time comes --
will be to eliminate tar build modes, as the whole mess
should have been implemented as a shell script a long
time ago. Meanwhile, what's there is there.


Note You need to log in before you can comment on or make changes to this bug.